- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::index::quadtree::Key Class Reference

A Key is a unique identifier for a node in a quadtree. More...

`#include <Key.h>`

List of all members.

## Public Member Functions
| Key (geom::Envelope *itemEnv)
geom::Coordinate * | getPoint ()
int | getLevel ()
geom::Envelope * | getEnvelope ()
geom::Coordinate * | getCentre ()
void | computeKey (geom::Envelope *itemEnv)
## Static Public Member Functions
static int | computeQuadLevel (geom::Envelope *env)

## Detailed Description

A Key is a unique identifier for a node in a quadtree.

It contains a lower-left point and a level number. The level number is the power of two for the size of the node envelope

The documentation for this class was generated from the following file:

- quadtree/Key.h